RTEMS: m83xxDDRRegisters_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
m83xxDDRRegisters_ Struct Reference

## Data Fields
volatile uint32_t | cs0_bnds
uint8_t | reserved0_2004 [0x02008-0x02004]
volatile uint32_t | cs1_bnds
uint8_t | reserved0_200C [0x02010-0x0200C]
volatile uint32_t | cs2_bnds
uint8_t | reserved0_2014 [0x02018-0x02014]
volatile uint32_t | cs3_bnds
uint8_t | reserved0_201C [0x02080-0x0201C]
volatile uint32_t | cs0_config
volatile uint32_t | cs1_config
volatile uint32_t | cs2_config
volatile uint32_t | cs3_config
uint8_t | reserved0_2090 [0x02100-0x02090]
volatile uint32_t | timing_cfg_3
volatile uint32_t | timing_cfg_0
volatile uint32_t | timing_cfg_1
volatile uint32_t | timing_cfg_2
volatile uint32_t | ddr_sdram_cfg
volatile uint32_t | ddr_sdram_cfg_2
volatile uint32_t | ddr_sdram_mode
volatile uint32_t | ddr_sdram_mode_2
volatile uint32_t | ddr_sdram_md_cntl
volatile uint32_t | ddr_sdram_interval
volatile uint32_t | ddr_data_init
uint8_t | reserved0_212C [0x02130-0x0212C]
volatile uint32_t | ddr_sdram_clk_cntl
uint8_t | reserved0_2134 [0x02148-0x02134]
volatile uint32_t | ddr_init_address
uint8_t | reserved0_214C [0x02BF8-0x0214C]
volatile uint32_t | ddr_ip_rev1
volatile uint32_t | ddr_ip_rev2
uint8_t | reserved0_2C00 [0x02E00-0x02C00]
volatile uint32_t | data_err_inject_hi
volatile uint32_t | data_err_inject_lo
volatile uint32_t | ecc_err_inject
uint8_t | reserved0_2E0C [0x02E20-0x02E0C]
volatile uint32_t | capture_data_hi
volatile uint32_t | capture_data_lo
volatile uint32_t | capture_ecc
uint8_t | reserved0_2E2C [0x02E40-0x02E2C]
volatile uint32_t | err_detect
volatile uint32_t | err_disable
volatile uint32_t | err_int_en
volatile uint32_t | capture_attributes
volatile uint32_t | capture_address
uint8_t | reserved0_2E54 [0x02E58-0x02E54]
volatile uint32_t | err_sbe
uint8_t | reserved0_2E5C [0x2F00-0x2E5C]

The documentation for this struct was generated from the following file:

- bsps/powerpc/include/mpc83xx/mpc83xx.h